## libfont-ttf-perl 0.34

=== Makefile ===
# This Makefile is for the Font::TTF extension to perl.
#
# It was generated automatically by MakeMaker version
# 5.45 (Revision: 1.222) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#	ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#
#   MakeMaker Parameters:

#	ABSTRACT => q[TTF font support for Perl]
#	AUTHOR => q[martin_hosken@sil.org]
#	EXE_FILES => [q[scripts/check_attach.plx], q[scripts/eurofix.plx], q[scripts/hackos2.plx], q[scripts/psfix.plx], q[scripts/ttfbuilder.plx], q[scripts/ttfname.plx], q[scripts/ttfremap.plx]]
#	NAME => q[Font::TTF]
#	VERSION_FROM => q[lib/Font/TTF/Font.pm]
#	dist => { TO_UNIX=>q[perl -Mtounix -e "tounix(\"$(DISTVNAME)\")"] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via D:/Progs/Perl/lib/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = lib
CC = cl
CCCDLFLAGS =  
CCDLFLAGS =  
DLEXT = dll
DLSRC = dl_win32.xs
LD = link
LDDLFLAGS = -dll -nologo -nodefaultlib -release  -libpath:"D:\Progs\Perl\lib\CORE"  -machine:x86
LDFLAGS = -nologo -nodefaultlib -release  -libpath:"D:\Progs\Perl\lib\CORE"  -machine:x86
LIBC = msvcrt.lib
LIB_EXT = .lib
OBJ_EXT = .obj
OSNAME = MSWin32
OSVERS = 4.0
RANLIB = rem
SO = dll
EXE_EXT = .exe
FULL_AR = 


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
NAME = Font::TTF
DISTNAME = Font-TTF
NAME_SYM = Font_TTF
VERSION = 0.34
VERSION_SYM = 0_34
XS_VERSION = 0.34
INST_BIN = blib\bin
INST_EXE = blib\script
INST_LIB = blib\lib
INST_ARCHLIB = blib\arch
INST_SCRIPT = blib\script
PREFIX = D:\Progs\Perl
INSTALLDIRS = site
INSTALLPRIVLIB = $(PREFIX)\lib
INSTALLARCHLIB = $(PREFIX)\lib
INSTALLSITELIB = D:\Progs\Perl\site\lib
INSTALLSITEARCH = D:\Progs\Perl\site\lib
INSTALLBIN = $(PREFIX)\bin
INSTALLSCRIPT = $(PREFIX)\bin
PERL_LIB = D:\Progs\Perl\lib
PERL_ARCHLIB = D:\Progs\Perl\lib
SITELIBEXP = D:\Progs\Perl\site\lib
SITEARCHEXP = D:\Progs\Perl\site\lib
LIBPERL_A = libperl.lib
FIRST_MAKEFILE = Makefile
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = D:\Progs\Perl\lib\CORE
PERL = D:\Progs\Perl\bin\Perl.exe
FULLPERL = D:\Progs\Perl\bin\Perl.exe

VERSION_MACRO = VERSION
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"

MAKEMAKER = 
MM_VERSION = 5.45

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# ROOTEXT = Directory part of FULLEXT with leading slash (eg /DBD)  !!! Deprecated from MM 5.32  !!!
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
FULLEXT = Font\TTF
BASEEXT = TTF
PARENT_NAME = Font
DLBASE = $(BASEEXT)
VERSION_FROM = lib/Font/TTF/Font.pm
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic

# Handy lists of source code files:
XS_FILES= 
C_FILES = 
O_FILES = 
H_FILES = 
HTMLLIBPODS    = 
HTMLSCRIPTPODS = 
MAN1PODS = 
MAN3PODS = 
HTMLEXT = html
INST_MAN1DIR = 
INSTALLMAN1DIR = 
MAN1EXT = 1
INST_MAN3DIR = 
INSTALLMAN3DIR = 
MAN3EXT = 3

# work around a famous dec-osf make(1) feature(?):
makemakerdflt: all

.SUFFIXES: .xs .c .C .cpp .cxx .cc $(OBJ_EXT)

# Nick wanted to get rid of .PRECIOUS. I don't remember why. I seem to recall, that
# some make implementations will delete the Makefile when we rebuild it. Because
# we call false(1) when we rebuild it. So make(1) is not completely wrong when it
# does so. Our milage may vary.
# .PRECIOUS: Makefile    # seems to be not necessary anymore

.PHONY: all config static dynamic test linkext manifest

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)\Config.pm $(PERL_INC)\config.h

# Where to put things:
INST_LIBDIR      = $(INST_LIB)\Font
INST_ARCHLIBDIR  = $(INST_ARCHLIB)\Font

INST_AUTODIR     = $(INST_LIB)\auto\$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)\auto\$(FULLEXT)

INST_STATIC  =
INST_DYNAMIC =
INST_BOOT    =

EXPORT_LIST = TTF.def

PERL_ARCHIVE = $(PERL_INC)\perl56.lib

TO_INST_PM = lib/Font/TTF/AATKern.pm \
	lib/Font/TTF/AATutils.pm \
	lib/Font/TTF/Anchor.pm \
	lib/Font/TTF/Bsln.pm \
	lib/Font/TTF/Changes \
	lib/Font/TTF/Cmap.pm \
	lib/Font/TTF/Coverage.pm \
	lib/Font/TTF/Cvt_.pm \
	lib/Font/TTF/Delta.pm \
	lib/Font/TTF/Fdsc.pm \
	lib/Font/TTF/Feat.pm \
	lib/Font/TTF/Fmtx.pm \
	lib/Font/TTF/Font.pm \
	lib/Font/TTF/Fpgm.pm \
	lib/Font/TTF/GDEF.pm \
	lib/Font/TTF/GPOS.pm \
	lib/Font/TTF/GSUB.pm \
	lib/Font/TTF/Glyf.pm \
	lib/Font/TTF/Glyph.pm \
	lib/Font/TTF/Hdmx.pm \
	lib/Font/TTF/Head.pm \
	lib/Font/TTF/Hhea.pm \
	lib/Font/TTF/Hmtx.pm \
	lib/Font/TTF/Kern.pm \
	lib/Font/TTF/Kern/ClassArray.pm \
	lib/Font/TTF/Kern/CompactClassArray.pm \
	lib/Font/TTF/Kern/OrderedList.pm \
	lib/Font/TTF/Kern/StateTable.pm \
	lib/Font/TTF/Kern/Subtable.pm \
	lib/Font/TTF/LTSH.pm \
	lib/Font/TTF/Loca.pm \
	lib/Font/TTF/Manual.pod \
	lib/Font/TTF/Maxp.pm \
	lib/Font/TTF/Mort.pm \
	lib/Font/TTF/Mort/Chain.pm \
	lib/Font/TTF/Mort/Contextual.pm \
	lib/Font/TTF/Mort/Insertion.pm \
	lib/Font/TTF/Mort/Ligature.pm \
	lib/Font/TTF/Mort/Noncontextual.pm \
	lib/Font/TTF/Mort/Rearrangement.pm \
	lib/Font/TTF/Mort/Subtable.pm \
	lib/Font/TTF/Name.pm \
	lib/Font/TTF/OS_2.pm \
	lib/Font/TTF/OldCmap.pm \
	lib/Font/TTF/OldMort.pm \
	lib/Font/TTF/PCLT.pm \
	lib/Font/TTF/PSNames.pm \
	lib/Font/TTF/Post.pm \
	lib/Font/TTF/Prep.pm \
	lib/Font/TTF/Prop.pm \
	lib/Font/TTF/Segarr.pm \
	lib/Font/TTF/Table.pm \
	lib/Font/TTF/Ttc.pm \
	lib/Font/TTF/Ttopen.pm \
	lib/Font/TTF/Useall.pm \
	lib/Font/TTF/Utils.pm \
	lib/Font/TTF/Vhea.pm \
	lib/Font/TTF/Vmtx.pm \
	lib/Font/TTF/Win32.pm \
	lib/Font/TTF/XMLparse.pm \
	lib/ttfmod.pl

PM_TO_BLIB = lib/Font/TTF/Kern/ClassArray.pm \
	$(INST_LIB)\Font\TTF\Kern\ClassArray.pm \
	lib/Font/TTF/Anchor.pm \
	$(INST_LIB)\Font\TTF\Anchor.pm \
	lib/Font/TTF/Head.pm \
	$(INST_LIB)\Font\TTF\Head.pm \
	lib/Font/TTF/PCLT.pm \
	$(INST_LIB)\Font\TTF\PCLT.pm \
	lib/Font/TTF/Mort/Rearrangement.pm \
	$(INST_LIB)\Font\TTF\Mort\Rearrangement.pm \
	lib/Font/TTF/Vmtx.pm \
	$(INST_LIB)\Font\TTF\Vmtx.pm \
	lib/Font/TTF/Mort/Noncontextual.pm \
	$(INST_LIB)\Font\TTF\Mort\Noncontextual.pm \
	lib/Font/TTF/Mort/Chain.pm \
	$(INST_LIB)\Font\TTF\Mort\Chain.pm \
	lib/Font/TTF/Bsln.pm \
	$(INST_LIB)\Font\TTF\Bsln.pm \
	lib/Font/TTF/Post.pm \
	$(INST_LIB)\Font\TTF\Post.pm \
	lib/Font/TTF/Cvt_.pm \
	$(INST_LIB)\Font\TTF\Cvt_.pm \
	lib/Font/TTF/Maxp.pm \
	$(INST_LIB)\Font\TTF\Maxp.pm \
	lib/Font/TTF/OS_2.pm \
	$(INST_LIB)\Font\TTF\OS_2.pm \
	lib/Font/TTF/Ttc.pm \
	$(INST_LIB)\Font\TTF\Ttc.pm \
	lib/Font/TTF/Win32.pm \
	$(INST_LIB)\Font\TTF\Win32.pm \
	lib/Font/TTF/Fmtx.pm \
	$(INST_LIB)\Font\TTF\Fmtx.pm \
	lib/Font/TTF/Name.pm \
	$(INST_LIB)\Font\TTF\Name.pm \
	lib/Font/TTF/Delta.pm \
	$(INST_LIB)\Font\TTF\Delta.pm \
	lib/Font/TTF/Kern/CompactClassArray.pm \
	$(INST_LIB)\Font\TTF\Kern\CompactClassArray.pm \
	lib/Font/TTF/Mort.pm \
	$(INST_LIB)\Font\TTF\Mort.pm \
	lib/Font/TTF/Utils.pm \
	$(INST_LIB)\Font\TTF\Utils.pm \
	lib/Font/TTF/Loca.pm \
	$(INST_LIB)\Font\TTF\Loca.pm \
	lib/Font/TTF/Fpgm.pm \
	$(INST_LIB)\Font\TTF\Fpgm.pm \
	lib/Font/TTF/Kern/Subtable.pm \
	$(INST_LIB)\Font\TTF\Kern\Subtable.pm \
	lib/Font/TTF/GPOS.pm \
	$(INST_LIB)\Font\TTF\GPOS.pm \
	lib/Font/TTF/OldMort.pm \
	$(INST_LIB)\Font\TTF\OldMort.pm \
	lib/Font/TTF/Vhea.pm \
	$(INST_LIB)\Font\TTF\Vhea.pm \
	lib/Font/TTF/Manual.pod \
	$(INST_LIB)\Font\TTF\Manual.pod \
	lib/Font/TTF/Ttopen.pm \
	$(INST_LIB)\Font\TTF\Ttopen.pm \
	lib/Font/TTF/Cmap.pm \
	$(INST_LIB)\Font\TTF\Cmap.pm \
	lib/Font/TTF/Prop.pm \
	$(INST_LIB)\Font\TTF\Prop.pm \
	lib/Font/TTF/LTSH.pm \
	$(INST_LIB)\Font\TTF\LTSH.pm \
	lib/Font/TTF/Mort/Subtable.pm \
	$(INST_LIB)\Font\TTF\Mort\Subtable.pm \
	lib/Font/TTF/Hmtx.pm \
	$(INST_LIB)\Font\TTF\Hmtx.pm \
	lib/Font/TTF/AATutils.pm \
	$(INST_LIB)\Font\TTF\AATutils.pm \
	lib/Font/TTF/Kern/OrderedList.pm \
	$(INST_LIB)\Font\TTF\Kern\OrderedList.pm \
	lib/Font/TTF/Kern/StateTable.pm \
	$(INST_LIB)\Font\TTF\Kern\StateTable.pm \
	lib/Font/TTF/Fdsc.pm \
	$(INST_LIB)\Font\TTF\Fdsc.pm \
	lib/Font/TTF/XMLparse.pm \
	$(INST_LIB)\Font\TTF\XMLparse.pm \
	lib/Font/TTF/OldCmap.pm \
	$(INST_LIB)\Font\TTF\OldCmap.pm \
	lib/Font/TTF/Table.pm \
	$(INST_LIB)\Font\TTF\Table.pm \
	lib/Font/TTF/Glyf.pm \
	$(INST_LIB)\Font\TTF\Glyf.pm \
	lib/Font/TTF/Mort/Ligature.pm \
	$(INST_LIB)\Font\TTF\Mort\Ligature.pm \
	lib/Font/TTF/GSUB.pm \
	$(INST_LIB)\Font\TTF\GSUB.pm \
	lib/Font/TTF/Hdmx.pm \
	$(INST_LIB)\Font\TTF\Hdmx.pm \
	lib/Font/TTF/AATKern.pm \
	$(INST_LIB)\Font\TTF\AATKern.pm \
	lib/Font/TTF/Coverage.pm \
	$(INST_LIB)\Font\TTF\Coverage.pm \
	lib/Font/TTF/Prep.pm \
	$(INST_LIB)\Font\TTF\Prep.pm \
	lib/Font/TTF/Mort/Insertion.pm \
	$(INST_LIB)\Font\TTF\Mort\Insertion.pm \
	lib/Font/TTF/Mort/Contextual.pm \
	$(INST_LIB)\Font\TTF\Mort\Contextual.pm \
	lib/Font/TTF/GDEF.pm \
	$(INST_LIB)\Font\TTF\GDEF.pm \
	lib/Font/TTF/PSNames.pm \
	$(INST_LIB)\Font\TTF\PSNames.pm \
	lib/Font/TTF/Font.pm \
	$(INST_LIB)\Font\TTF\Font.pm \
	lib/Font/TTF/Feat.pm \
	$(INST_LIB)\Font\TTF\Feat.pm \
	lib/ttfmod.pl \
	$(INST_LIB)\ttfmod.pl \
	lib/Font/TTF/Kern.pm \
	$(INST_LIB)\Font\TTF\Kern.pm \
	lib/Font/TTF/Glyph.pm \
	$(INST_LIB)\Font\TTF\Glyph.pm \
	lib/Font/TTF/Changes \
	$(INST_LIB)\Font\TTF\Changes \
	lib/Font/TTF/Useall.pm \
	$(INST_LIB)\Font\TTF\Useall.pm \
	lib/Font/TTF/Hhea.pm \
	$(INST_LIB)\Font\TTF\Hhea.pm \
	lib/Font/TTF/Segarr.pm \
	$(INST_LIB)\Font\TTF\Segarr.pm


# --- MakeMaker tool_autosplit section:

# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(PERL) "-I$(PERL_ARCHLIB)" "-I$(PERL_LIB)" -MAutoSplit  -e "autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1);"


# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:

SHELL = cmd /x /c
CHMOD = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e chmod
CP = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e cp
LD = link
MV = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e mv
NOOP = rem
RM_F = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e rm_f
RM_RF = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e rm_rf
TEST_F = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e test_f
TOUCH = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e touch
UMASK_NULL = umask 0
DEV_NULL = > NUL

# The following is a portable way to say mkdir -p
# To see which directories are created, change the if 0 to if 1
MKPATH = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e mkpath

# This helps us to minimize the effect of the .exists files A yet
# better solution would be to have a stable file in the perl
# distribution with a timestamp of zero. But this solution doesn't
# need any changes to the core distribution and works with older perls
EQUALIZE_TIMESTAMP = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e eqtime

# Here we warn users that an old packlist file was found somewhere,
# and that they should call some uninstall routine
WARN_IF_OLD_PACKLIST = $(PERL) -lwe "exit unless -f $$ARGV[0];" \
-e "print 'WARNING: I have found an old package in';" \
-e "print '	', $$ARGV[0], '.';" \
-e "print 'Please make sure the two installations are not conflicting';"

UNINST=0
VERBINST=1

MOD_INSTALL = $(PERL) -I$(INST_LIB) -I$(PERL_LIB) -MExtUtils::Install \
-e "install({ @ARGV },'$(VERBINST)',0,'$(UNINST)');"

DOC_INSTALL = $(PERL) -e "$$\=\"\n\n\";" \
-e "print '=head2 ', scalar(localtime), ': C<', shift, '>', ' L<', $$arg=shift, '|', $$arg, '>';" \
-e "print '=over 4';" \
-e "while (defined($$key = shift) and defined($$val = shift)) { print '=item *';print 'C<', \"$$key: $$val\", '>'; }" \
-e "print '=back';"

UNINSTALL =   $(PERL) -MExtUtils::Install \
-e "uninstall($$ARGV[0],1,1); print \"\nUninstall is deprecated. Please check the";" \

## libfont-ttf-perl 0.41-1

=== debian/changelog ===
libfont-ttf-perl (0.41-1) unstable; urgency=low

  * New upstream release.
  * Install lib/Font/TTF/Changes as upstream changelog.
  * Remove lib/Font/TTF/Changes /usr/share/perl5/Font/TTF/.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Fri, 13 Apr 2007 22:40:45 +0200

libfont-ttf-perl (0.40-1) unstable; urgency=low

  * New upstream release (closes: #375324)
  * debian/rules - cleaned
  * debian/watch - updated

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Wed,  2 Aug 2006 12:31:06 +0200

libfont-ttf-perl (0.39-1) unstable; urgency=low

  * New upstream release
  * This upstream release is broken, so won't be uploaded:
    http://rt.cpan.org/Public/Bug/Display.html?id=20092

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Wed, 28 Jun 2006 14:12:09 +0200

libfont-ttf-perl (0.38.1-1deb) unstable; urgency=low

  * New upstream release 
  * debian/control:
   - Uploaders: Added me
   - Standards-Version: increased to 3.7.2.1 without changes

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Wed, 28 Jun 2006 13:58:46 +0200

libfont-ttf-perl (0.38.1-1) unstable; urgency=low

  * New upstream release
  * Update to debhelper compatibility level 5.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat, 18 Mar 2006 19:19:54 +0100

libfont-ttf-perl (0.37-1) unstable; urgency=low

  * New upstream release.
  * Fix minor POD issue in Font::TTF::Table.
  * General rules cleanup.
    - Remove the dh_compress exceptions; the example scripts are now in a
      separate scripts package.
    - Remove commented-out and unnecessary programs.
    - Remove empty /usr/lib/perl5 directory.
  * Update to debhelper compatibility level V4.
  * Move debhelper and perl dependency to build-depends since clean
    requires them.
  * Update standards version to 3.6.2 (no changes required).

 -- Russ Allbery <rra@debian.org>  Mon, 16 Jan 2006 19:38:49 -0800

libfont-ttf-perl (0.35-1) unstable; urgency=low

  * New upstream release
  * Transferred maintainership to the Debian Perl group
  * Fixed debian/watch, as it was reporting another module with a
    seemingly derived name
  * Applied documentation patch to create the manpages in their correct
    place (see http://rt.cpan.org/NoAuth/Bug.html?id=12877)

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 25 May 2005 10:32:33 -0500

libfont-ttf-perl (0.34-4) unstable; urgency=low

  * Fixed a little rules ordering problem in debian/rules which led to a
    FTBFS (Closes: #210308)

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 10 Sep 2003 14:22:57 -0500

libfont-ttf-perl (0.34-3) unstable; urgency=low

  * Now using Debhelper
  * Bumped Standards-Version to 3.6.1

 -- Gunnar Wolf <gwolf@debian.org>  Thu,  4 Sep 2003 01:26:20 -0500

libfont-ttf-perl (0.34-2) unstable; urgency=low

  * Section change (interpreters -> perl)

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 22 May 2003 09:19:11 -0500

libfont-ttf-perl (0.34-1) unstable; urgency=low

  * New upstream release

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 22 May 2003 00:21:33 -0500

libfont-ttf-perl (0.32-2) unstable; urgency=low

  * Fixed some debian/rules bugs.

 -- Gunnar Eyal Wolf Iszaevich <gwolf@gwolf.cx>  Mon, 17 Feb 2003 8:54:10 -0600

libfont-ttf-perl (0.32-1) unstable; urgency=low

  * Initial Release.
  * Closes: #180906.

 -- Gunnar Eyal Wolf Iszaevich <gwolf@gwolf.cx>  Tue, 11 Feb 2003 17:18:07 -0600

=== debian/control ===
Source: libfont-ttf-perl
Section: perl
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Gunnar Wolf <gwolf@debian.org>, Russ Allbery <rra@debian.org>, gregor herrmann <gregor+debian@comodo.priv.at>, Krzysztof Krzyzaniak (eloy) <eloy@debian.org>
Build-Depends: debhelper (>= 5.0.0)
Build-Depends-Indep: perl (>= 5.8.0-19)
Standards-Version: 3.7.2.1
XS-Vcs-Svn: svn://svn.debian.org/pkg-perl/packages/libfont-ttf-perl/trunk/

Package: libfont-ttf-perl
Architecture: all
Depends: ${perl:Depends}
Suggests: libxml-parser-perl
Description: Perl module for TrueType font hacking
 Font::TTF module supports reading, processing and writing many different
 table formats for TrueType fonts. You can do almost anything with a
 TrueType font with this module.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifndef PERL
     PERL = /usr/bin/perl
endif

TMP=`pwd`/debian/libfont-ttf-perl
config = INSTALLDIRS=vendor

build: build-stamp
build-stamp: 
	dh_testdir
	$(PERL) Makefile.PL $(config)
	$(MAKE)
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	$(PERL) Makefile.PL
	$(MAKE) distclean
	dh_clean build-stamp

binary-arch: build
# We have nothing to do by default.

binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) install PREFIX=$(TMP)/usr
	$(MAKE) test
	rmdir --ignore-fail-on-non-empty --parents $(TMP)/usr/lib/perl5
	rm $(TMP)/usr/share/perl5/Font/TTF/Changes
	dh_perl
	dh_installdocs README.TXT
	dh_installman
	dh_installchangelogs lib/Font/TTF/Changes
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

=== debian/watch ===
version=3
http://www.cpan.org/modules/by-module/Font/Font-TTF-([\d\.]+)\.tar\.gz

## libfont-ttf-perl 0.48

=== debian/changelog ===
libfont-ttf-perl (0.48-1) unstable; urgency=low

  * New upstream release (closes: #614924).

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.
  * Switch to source format 3.0 (quilt); remove quilt framework.
  * Set Standards-Version to 3.9.1; remove version from perl build dependency.
  * Switch to debhelper 7.
  * Update/add patches to fix POD and spelling problems.
  * debian/copyright: update formatting and copyright/license info.

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Russ Allbery ]
  * Remove myself from Uploaders.

 -- gregor herrmann <gregoa@debian.org>  Fri, 25 Feb 2011 23:29:24 +0100

libfont-ttf-perl (0.45-1) unstable; urgency=low

  * New upstream release.
  * Adjust patch manpages_missing_descriptions; the former fixes were accepted
    upstream but there's a new module without a proper NAME section.
  * Add /me to Uploaders.
  * Set Standards-Version to 3.8.0; add debian/README.source for policy
    compliance.
  * Make dependency on quilt versioned.
  * debian/copyright: update years of packaging copyright; change order of
    stanzas.
  * Refresh debian/rules. Install new "real" upstream changelog. Move
    lib/ttfmod.pl to examples. Fix permissions of Manual.pod.
  * debian/watch: use dist-based URL.

 -- gregor herrmann <gregoa@debian.org>  Sat, 14 Jun 2008 21:57:43 +0200

libfont-ttf-perl (0.43-1) unstable; urgency=low

  [ Martín Ferrari ]
  * New upstream release (minor change: added a test case).
  * Reverted the +dfsg changes, but still have to confirm CPAN's RT#30996.
  * Include OFL.txt in debian/copyright (now in machine-readable format).
  * Bumped Standards-version.
  * Fixed debian/rules for parallel building.
  * Manpages patch sent upstream and documented.

  [ Damyan Ivanov ]
  * Put me instead of Martín in Uploaders
    + Remove Gregor too

 -- Damyan Ivanov <dmn@debian.org>  Thu, 06 Dec 2007 12:46:24 +0200

libfont-ttf-perl (0.42-1) unstable; urgency=low

  [ gregor herrmann ]
  * New upstream release.
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * debian/rules:
    - Use $(CURDIR) instead of `pwd`.
    - Move dh_clean before make distclean.
    - Create install and install-stamp targets.
    - Remove $(MAKE) tests (there are no tests).
    - Only call $(MAKE) distclean if we have a Makefile (and stop creating
      one just for cleaning).
  * Revert lib/Font/TTF/Delta.pm to pristine file; the old .diff.gz
    contained an additional space.

  [ Martín Ferrari ]
  * This upstream release Closes: #442599 (the warning no longer occurs).
  * Solved many lintian errors WRT manpages: minimal headers added.
  * Added myself to uploaders.
  * Added quilt dependency, uploaders wrapping.

 -- Martín Ferrari <martin.ferrari@gmail.com>  Sat, 24 Nov 2007 13:46:43 -0300

=== debian/control ===
Source: libfont-ttf-perl
Section: perl
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Gunnar Wolf <gwolf@debian.org>,
 Krzysztof Krzyzaniak (eloy) <eloy@debian.org>,
 Damyan Ivanov <dmn@debian.org>,
 gregor herrmann <gregoa@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: perl
Standards-Version: 3.9.1
Homepage: http://search.cpan.org/dist/Font-TTF/
Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/libfont-ttf-perl/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-perl/trunk/libfont-ttf-perl/

Package: libfont-ttf-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Suggests: libxml-parser-perl
Description: Perl module for TrueType font hacking
 Font::TTF module supports reading, processing and writing many different
 table formats for TrueType fonts. You can do almost anything with a
 TrueType font with this module.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	$(RM) $(TMP)/usr/share/perl5/Font/TTF/Changes
	$(RM) $(TMP)/usr/share/perl5/ttfmod.pl

=== debian/watch ===
version=3
http://search.cpan.org/dist/Font-TTF/   .*/Font-TTF-v?(\d[\d.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)

## libfont-ttf-perl 1.02

=== debian/changelog ===
libfont-ttf-perl (1.02-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ gregor herrmann ]
  * Add patch to avoid warnings about uninitialized values
    Thanks to Jeffrey Ratcliffe for the bug report and the patch.
    (Closes: #658653)

  [ Xavier Guimard ]
  * New upstream release. (Closes: #679637)
  * Update copyright to format 1.0
  * Bump Standards-Version to 3.9.4
  * Forward patches to RT
  * Add libio-string-perl dependency

 -- Xavier Guimard <x.guimard@free.fr>  Tue, 06 Nov 2012 21:31:29 +0100

=== debian/control ===
Source: libfont-ttf-perl
Section: perl
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Krzysztof Krzyzaniak (eloy) <eloy@debian.org>,
 Damyan Ivanov <dmn@debian.org>,
 gregor herrmann <gregoa@debian.org>,
 Xavier Guimard <x.guimard@free.fr>
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: libio-string-perl
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libfont-ttf-perl.git
Vcs-Git: git://git.debian.org/pkg-perl/packages/libfont-ttf-perl.git
Homepage: http://search.cpan.org/dist/Font-TTF/

Package: libfont-ttf-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 libio-string-perl
Suggests: libxml-parser-perl
Description: Perl module for TrueType font hacking
 Font::TTF module supports reading, processing and writing many different
 table formats for TrueType fonts. You can do almost anything with a
 TrueType font with this module.

## libfont-ttf-perl 1.04

=== debian/changelog ===
libfont-ttf-perl (1.04-1) unstable; urgency=medium

  * New upstream release.
  * Update years of packaging copyright.
  * Drop patches, all merged/fixed upstream.
  * debian/rules: update list of removed files.
  * Add new patch to fix another POD issue.

 -- gregor herrmann <gregoa@debian.org>  Tue, 14 Jan 2014 20:10:19 +0100

libfont-ttf-perl (1.03-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Xavier Guimard ]
  * Imported Upstream version 1.03
  * Bump Standards-Version to 3.9.5
  * Update debian/copyright (copyright and years)
  * Add another hook to fix-manpage-entry.patch
  * Update fix-pod.patch:
    - update offsets
    - remove some entries that have been patched upstream
  * Remove empty manual pages from build

 -- Xavier Guimard <x.guimard@free.fr>  Tue, 03 Dec 2013 21:13:52 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
  Xavier Guimard <x.guimard@free.fr>
 Build-Depends: debhelper (>= 8)
 Build-Depends-Indep: libio-string-perl
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libfont-ttf-perl.git
-Vcs-Git: git://git.debian.org/pkg-perl/packages/libfont-ttf-perl.git
-Homepage: http://search.cpan.org/dist/Font-TTF/
+Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libfont-ttf-perl.git
+Homepage: https://metacpan.org/release/Font-TTF/
 
 Package: libfont-ttf-perl
 Architecture: all

=== debian/watch ===
version=3
https://metacpan.org/release/Font-TTF/   .*/Font-TTF-v?(\d[\d.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)

## libfont-ttf-perl 1.05

=== debian/changelog ===
libfont-ttf-perl (1.05-1) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Lucas Kanashiro ]
  * Add debian/upstream/metadata
  * Import upstream version 1.05
  * Remove pod.patch (already applied by upstream)
  * Bump debhelper compatibility level to 9
  * Declare compliance with Debian policy 3.9.6
  * Add autopkgtest-pkg-perl
  * Create patch fixing spelling errors in manpage
  * Update year of upstream copyright

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Tue, 01 Sep 2015 18:54:47 -0300

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
  Damyan Ivanov <dmn@debian.org>,
  gregor herrmann <gregoa@debian.org>,
  Xavier Guimard <x.guimard@free.fr>
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: libio-string-perl
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libfont-ttf-perl.git
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libfont-ttf-perl.git
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libfont-ttf-perl.git
-Homepage: https://metacpan.org/release/Font-TTF/
+Homepage: https://metacpan.org/release/Font-TTF
+Testsuite: autopkgtest-pkg-perl
 
 Package: libfont-ttf-perl
 Architecture: all

=== debian/watch ===
version=3
https://metacpan.org/release/Font-TTF   .*/Font-TTF-v?(\d[\d.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)

## libfont-ttf-perl 1.06

=== debian/changelog ===
libfont-ttf-perl (1.06-2) unstable; urgency=medium

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Xavier Guimard ]
  * Email change: Xavier Guimard -> yadd@debian.org

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ gregor herrmann ]
  * debian/copyright: replace tabs with spaces / remove trailing
    whitespace.
  * debian/watch: use uscan version 4.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 14 Jun 2022 21:34:08 +0100

libfont-ttf-perl (1.06-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Dec 2020 17:03:08 +0100

libfont-ttf-perl (1.06-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Lucas Kanashiro ]
  * Import upstream version 1.06
  * d/u/metadata: add repository links
  * Remove patch fixing typo in POD, applied by upstream
  * Update years of upstream copyright
  * Update Debian packaging copyright
  * Declare compliance with Debian policy 3.9.8

 -- Lucas Kanashiro <kanashiro@debian.org>  Sat, 27 Aug 2016 22:46:32 -0300

=== debian/control ===
Source: libfont-ttf-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Damyan Ivanov <dmn@debian.org>,
           gregor herrmann <gregoa@debian.org>,
           Xavier Guimard <yadd@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libio-string-perl
Standards-Version: 3.9.8
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libfont-ttf-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libfont-ttf-perl.git
Homepage: https://metacpan.org/release/Font-TTF

Package: libfont-ttf-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libio-string-perl
Suggests: libxml-parser-perl
Description: Perl module for TrueType font hacking
 Font::TTF module supports reading, processing and writing many different
 table formats for TrueType fonts. You can do almost anything with a
 TrueType font with this module.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	$(RM) -v $(TMP)/usr/share/perl5/ttfmod.pl
	$(RM) -v $(TMP)/usr/share/man/man3/ttfmod.3pm

	$(RM) -v $(TMP)/usr/share/man/man3/Font\:\:TTF\:\:DSIG.3pm
	$(RM) -v $(TMP)/usr/share/man/man3/Font\:\:TTF\:\:Win32.3pm

=== debian/watch ===
version=4
https://metacpan.org/release/Font-TTF   .*/Font-TTF-v?@ANY_VERSION@@ARCHIVE_EXT@$
